# stl_bvector.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_bvector.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- struct std::_Bit_const_iterator
- struct std::_Bit_iterator
- struct std::_Bit_iterator_base
- struct std::_Bit_reference
- struct std::_Bvector_base< _Alloc >
- struct std::_Bvector_base< _Alloc >::_Bvector_impl
- class std::vector< bool, _Alloc >
    A specialization of vector for booleans which offers fixed time access to individual elements in any order. More...

## Defines

- #define _BVECTOR_H

## Typedefs

- typedef unsigned long std::_Bit_type

## Enumerations

- enum { _S_word_bit }

## Functions

- void std::__fill_bvector (_Bit_iterator __first, _Bit_iterator __last, bool __x)
- void std::fill (_Bit_iterator __first, _Bit_iterator __last, const bool &__x)
- _Bit_const_iterator std::operator+ (ptrdiff_t __n, const _Bit_const_iterator &__x)
- _Bit_iterator std::operator+ (ptrdiff_t __n, const _Bit_iterator &__x)
- ptrdiff_t std::operator- (const _Bit_iterator_base &__x, const _Bit_iterator_base &__y)